## swift 2.23.1

=== debian/changelog ===
swift (2.23.1-1) unstable; urgency=medium

  * New upstream release.
  * Remove one more not needed
    package-supports-alternative-init-but-no-init.d-script
    lintian override.
  * Drop Python 3 patches, applied upstream.

 -- Ondřej Nový <onovy@debian.org>  Wed, 23 Oct 2019 14:26:27 +0200

swift (2.23.0-6) unstable; urgency=medium

  * Uploading to unstable.
  * Bump Standards-Version to 4.4.1.
  * Remove not needed package-supports-alternative-init-but-no-init.d-script
    lintian overrides.

 -- Ondřej Nový <onovy@debian.org>  Mon, 21 Oct 2019 12:33:00 +0200

swift (2.23.0-5) experimental; urgency=medium

  * Add a number of Py3 fixes:
    - py3_Fix_swift-drive-audit.patch
    - py3_Fix_swift-recon.patch
    - py3_fix_swift-dispersion-populate.patch
    - py3_fix_swift-account-audit.patch

 -- Thomas Goirand <zigo@debian.org>  Tue, 15 Oct 2019 16:53:21 +0200

swift (2.23.0-4) experimental; urgency=medium

  * Replace my old patch Fix_on-disk_encryption_under_Python_3.patch by the new
    upstream one: Fix_kms_keymaster_under_Python_3.patch.

 -- Thomas Goirand <zigo@debian.org>  Tue, 15 Oct 2019 03:16:37 +0200

swift (2.23.0-3) experimental; urgency=medium

  * Add Fix_on-disk_encryption_under_Python_3.patch.

 -- Thomas Goirand <zigo@debian.org>  Fri, 11 Oct 2019 14:16:53 +0200

swift (2.23.0-2) experimental; urgency=medium

  * Do not use --processes=-1 when running tests, as this seems to fail on
    buildds.

 -- Thomas Goirand <zigo@debian.org>  Mon, 07 Oct 2019 16:31:24 +0200

swift (2.23.0-1) experimental; urgency=medium

  * New upstream release.
  * Fixed version of eventlet in (b-)d for this release.
  * Add  python3-barbicanclient and python3-castellan as recommends in
    swift-proxy, as they are needed for on-disk encryption.
  * Removed patches applied upstream:
    - sphinx_reproducible_build.patch
    - fix-xattr_supported_check.patch
  * Run tests with --processes=-1 to run them in parallel.

 -- Thomas Goirand <zigo@debian.org>  Fri, 04 Oct 2019 15:59:04 +0200

swift (2.22.0-2) unstable; urgency=medium

  * Remove swauth from Recommends.

 -- Ondřej Nový <onovy@debian.org>  Tue, 13 Aug 2019 10:37:49 +0200

swift (2.22.0-1) unstable; urgency=medium

  * New upstream release.
  * Bump Standards-Version to 4.4.0.
  * Remove prerm/preinst scripts for upgrading from version 2.6.0-2.
  * Add lintian overrides for
    package-supports-alternative-init-but-no-init.d-script
  * python3-swift.lintian-overrides: Fix wrong binary package name
  * Use pybuild to build package.
  * Clean using d/clean file instead of override_dh_auto_clean target.
  * Bump debhelper compat level to 12.
  * Cleanup systemd and init scripts generator.

 -- Ondřej Nový <onovy@debian.org>  Mon, 05 Aug 2019 19:12:51 +0200

swift (2.21.10+2019.07.13+git.4643412bd1-3) unstable; urgency=medium

  [ Ondřej Nový ]
  * Running wrap-and-sort -bast.
  * Use debhelper-compat instead of debian/compat.

  [ Thomas Goirand ]
  * Fixed python3-os-api-ref-common -> python-os-api-ref-common depends for
    swift-doc, which was a mistake when converting to Python 3.

 -- Thomas Goirand <zigo@debian.org>  Tue, 23 Jul 2019 18:41:54 +0200

swift (2.21.10+2019.07.13+git.4643412bd1-2) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Wed, 17 Jul 2019 19:51:53 +0200

swift (2.21.10+2019.07.13+git.4643412bd1-1) experimental; urgency=medium

  * New upstream release.
  * Switch swift to Python 3.
  * Rebased patches.
  * Added usr/bin/swift-container-deleter to the swift-container package.

 -- Thomas Goirand <zigo@debian.org>  Mon, 15 Jul 2019 15:09:23 +0200

swift (2.21.0-1) experimental; urgency=medium

  [ Michal Arbet ]
  * d/control:
      - Bump openstack-pkg-tools to version 99
      - Add me to uploaders field
  * d/copyright: Add me to copyright file
  * New upstream version

  [ Ondřej Nový ]
  * d/p/fix-decryption-of-object-if-metadata-is-missing.patch:
    Remove, applied upstream
  * Rebased patches

 -- Ondřej Nový <onovy@debian.org>  Mon, 13 May 2019 12:06:24 +0200

=== debian/control ===
Source: swift
Section: net
Priority: optional
Maintainer: Debian OpenStack <team+openstack@tracker.debian.org>
Uploaders:
 Thomas Goirand <zigo@debian.org>,
 Michal Arbet <michal.arbet@ultimum.io>,
 Ondřej Nový <onovy@debian.org>,
Build-Depends:
 debhelper-compat (= 12),
 dh-exec,
 dh-python,
 openstack-pkg-tools (>= 99~),
 python3-all,
 python3-pbr,
 python3-setuptools,
 python3-sphinx (>= 1.6.2),
Build-Depends-Indep:
 python3-boto,
 python3-boto3,
 python3-coverage,
 python3-cryptography,
 python3-dnspython,
 python3-eventlet (>= 0.25.0),
 python3-fixtures (>= 3.0.0),
 python3-greenlet,
 python3-keystoneclient,
 python3-keystonemiddleware (>= 4.17.0),
 python3-lxml,
 python3-mock,
 python3-netifaces,
 python3-nose,
 python3-nose-exclude,
 python3-nosehtmloutput,
 python3-nosexcover,
 python3-openssl,
 python3-openstack.nose-plugin,
 python3-openstackclient,
 python3-openstackdocstheme (>= 1.11.0),
 python3-os-api-ref (>= 1.0.0),
 python3-os-testr (>= 0.8.0),
 python3-oslosphinx,
 python3-pastedeploy,
 python3-pyeclib,
 python3-requests (>= 2.14.2),
 python3-requests-mock (>= 1.2.0),
 python3-six,
 python3-swiftclient,
 python3-xattr,
Standards-Version: 4.4.1
Vcs-Browser: https://salsa.debian.org/openstack-team/services/swift
Vcs-Git: https://salsa.debian.org/openstack-team/services/swift.git
Homepage: https://github.com/openstack/swift
Testsuite: autopkgtest-pkg-python

Package: python3-swift
Architecture: all
Section: python
Pre-Depends:
 ${misc:Pre-Depends},
Depends:
 adduser,
 python3-cryptography,
 python3-dnspython,
 python3-eventlet (>= 0.25.0),
 python3-greenlet,
 python3-netifaces,
 python3-openssl,
 python3-pastedeploy,
 python3-pyeclib,
 python3-six,
 python3-xattr,
 ${misc:Depends},
 ${python3:Depends},
Breaks:
 systemd (<< 235~),
Description: distributed virtual object store - Python 3 libraries
 OpenStack Object Storage (code-named Swift) creates redundant, scalable object
 storage using clusters of standardized servers to store petabytes of
 accessible data. It is not a file system or real-time data storage system, but
 rather a long-term storage system for a more permanent type of static data
 that can be retrieved, leveraged, and then updated if necessary. Primary
 examples of data that best fit this type of storage model are virtual machine
 images, photo storage, email storage and backup archiving. Having no central
 "brain" or master point of control provides greater scalability, redundancy
 and permanence.
 .
 Objects are written to multiple hardware devices in the data center, with
 the OpenStack software responsible for ensuring data replication and
 integrity across the cluster. Storage clusters can scale horizontally by
 adding new nodes. Should a node fail, OpenStack works to replicate its
 content from other active nodes. Because OpenStack uses software logic to
 ensure data replication and distribution across different devices,
 inexpensive commodity hard drives and servers can be used in lieu of more
 expensive equipment.
 .
 This package provides the Python 3 libraries that actually implement
 everything.

Package: swift
Architecture: all
Pre-Depends:
 ${misc:Pre-Depends},
Depends:
 logrotate,
 python3-swift (=${binary:Version}),
 rsyslog,
 ${misc:Depends},
 ${python3:Depends},
Description: distributed virtual object store - common files
 OpenStack Object Storage (code-named Swift) creates redundant, scalable object
 storage using clusters of standardized servers to store petabytes of
 accessible data. It is not a file system or real-time data storage system, but
 rather a long-term storage system for a more permanent type of static data
 that can be retrieved, leveraged, and then updated if necessary. Primary
 examples of data that best fit this type of storage model are virtual machine
 images, photo storage, email storage and backup archiving. Having no central
 "brain" or master point of control provides greater scalability, redundancy
 and permanence.
 .
 Objects are written to multiple hardware devices in the data center, with
 the OpenStack software responsible for ensuring data replication and
 integrity across the cluster. Storage clusters can scale horizontally by
 adding new nodes. Should a node fail, OpenStack works to replicate its
 content from other active nodes. Because OpenStack uses software logic to
 ensure data replication and distribution across different devices,
 inexpensive commodity hard drives and servers can be used in lieu of more
 expensive equipment.
 .
 This package provides some core binaries and clients to control swift.

Package: swift-account
Architecture: all
Pre-Depends:
 ${misc:Pre-Depends},
Depends:
 lsb-base,
 python3-swift (=${binary:Version}),
 rsync,
 swift (=${binary:Version}),
 ${misc:Depends},
 ${python3:Depends},
Recommends:
 swift-drive-audit,
Description: distributed virtual object store - account server
 OpenStack Object Storage (code-named Swift) creates redundant, scalable object
 storage using clusters of standardized servers to store petabytes of
 accessible data. It is not a file system or real-time data storage system, but
 rather a long-term storage system for a more permanent type of static data
 that can be retrieved, leveraged, and then updated if necessary. Primary
 examples of data that best fit this type of storage model are virtual machine
 images, photo storage, email storage and backup archiving. Having no central
 "brain" or master point of control provides greater scalability, redundancy
 and permanence.
 .
 Objects are written to multiple hardware devices in the data center, with
 the OpenStack software responsible for ensuring data replication and
 integrity across the cluster. Storage clusters can scale horizontally by
 adding new nodes. Should a node fail, OpenStack works to replicate its
 content from other active nodes. Because OpenStack uses software logic to
 ensure data replication and distribution across different devices,
 inexpensive commodity hard drives and servers can be used in lieu of more
 expensive equipment.
 .
 This package provides the swift account server.

Package: swift-container
Architecture: all
Pre-Depends:
 ${misc:Pre-Depends},
Depends:
 lsb-base,
 python3-swift (=${binary:Version}),
 rsync,
 swift (=${binary:Version}),
 ${misc:Depends},
 ${python3:Depends},
Recommends:
 swift-drive-audit,
Description: distributed virtual object store - container server
 OpenStack Object Storage (code-named Swift) creates redundant, scalable object
 storage using clusters of standardized servers to store petabytes of
 accessible data. It is not a file system or real-time data storage system, but
 rather a long-term storage system for a more permanent type of static data
 that can be retrieved, leveraged, and then updated if necessary. Primary
 examples of data that best fit this type of storage model are virtual machine
 images, photo storage, email storage and backup archiving. Having no central
 "brain" or master point of control provides greater scalability, redundancy
 and permanence.
 .
 Objects are written to multiple hardware devices in the data center, with
 the OpenStack software responsible for ensuring data replication and
 integrity across the cluster. Storage clusters can scale horizontally by
 adding new nodes. Should a node fail, OpenStack works to replicate its
 content from other active nodes. Because OpenStack uses software logic to
 ensure data replication and distribution across different devices,
 inexpensive commodity hard drives and servers can be used in lieu of more
 expensive equipment.
 .
 This package provides the swift container server.

Package: swift-doc
Architecture: all
Section: doc
Pre-Depends:
 ${misc:Pre-Depends},
Depends:
 libjs-bootstrap,
 libjs-jquery,
 libjs-underscore,
 python-os-api-ref-common,
 ${misc:Depends},
 ${sphinxdoc:Depends},
Description: distributed virtual object store - documentation
 OpenStack Object Storage (code-named Swift) creates redundant, scalable object
 storage using clusters of standardized servers to store petabytes of
 accessible data. It is not a file system or real-time data storage system, but
 rather a long-term storage system for a more permanent type of static data
 that can be retrieved, leveraged, and then updated if necessary. Primary
 examples of data that best fit this type of storage model are virtual machine
 images, photo storage, email storage and backup archiving. Having no central
 "brain" or master point of control provides greater scalability, redundancy
 and permanence.
 .
 Objects are written to multiple hardware devices in the data center, with
 the OpenStack software responsible for ensuring data replication and
 integrity across the cluster. Storage clusters can scale horizontally by
 adding new nodes. Should a node fail, OpenStack works to replicate its
 content from other active nodes. Because OpenStack uses software logic to
 ensure data replication and distribution across different devices,
 inexpensive commodity hard drives and servers can be used in lieu of more
 expensive equipment.
 .
 This package provides the Sphinx generated documentation for Swift.

Package: swift-drive-audit
Architecture: all
Pre-Depends:
 ${misc:Pre-Depends},
Depends:
 python3-swift (=${binary:Version}),
 swift (=${binary:Version}),
 ${misc:Depends},
 ${python3:Depends},
Description: distributed virtual object store - drive audit
 OpenStack Object Storage (code-named Swift) creates redundant, scalable object
 storage using clusters of standardized servers to store petabytes of
 accessible data. It is not a file system or real-time data storage system, but
 rather a long-term storage system for a more permanent type of static data
 that can be retrieved, leveraged, and then updated if necessary. Primary
 examples of data that best fit this type of storage model are virtual machine
 images, photo storage, email storage and backup archiving. Having no central
 "brain" or master point of control provides greater scalability, redundancy
 and permanence.
 .
 Objects are written to multiple hardware devices in the data center, with
 the OpenStack software responsible for ensuring data replication and
 integrity across the cluster. Storage clusters can scale horizontally by
 adding new nodes. Should a node fail, OpenStack works to replicate its
 content from other active nodes. Because OpenStack uses software logic to
 ensure data replication and distribution across different devices,
 inexpensive commodity hard drives and servers can be used in lieu of more
 expensive equipment.
 .
 This package provides the swift drive audit tool.

Package: swift-object
Architecture: all
Pre-Depends:
 ${misc:Pre-Depends},
Depends:
 lsb-base,
 python3-swift (=${binary:Version}),
 rsync,
 swift (=${binary:Version}),
 ${misc:Depends},
 ${python3:Depends},
Recommends:
 swift-drive-audit,
Description: distributed virtual object store - object server
 OpenStack Object Storage (code-named Swift) creates redundant, scalable object
 storage using clusters of standardized servers to store petabytes of
 accessible data. It is not a file system or real-time data storage system, but
 rather a long-term storage system for a more permanent type of static data
 that can be retrieved, leveraged, and then updated if necessary. Primary
 examples of data that best fit this type of storage model are virtual machine
 images, photo storage, email storage and backup archiving. Having no central
 "brain" or master point of control provides greater scalability, redundancy
 and permanence.
 .
 Objects are written to multiple hardware devices in the data center, with
 the OpenStack software responsible for ensuring data replication and
 integrity across the cluster. Storage clusters can scale horizontally by
 adding new nodes. Should a node fail, OpenStack works to replicate its
 content from other active nodes. Because OpenStack uses software logic to
 ensure data replication and distribution across different devices,

=== debian/rules ===
#!/usr/bin/make -f

-include /usr/share/openstack-pkg-tools/pkgos.make

export SWIFT_TEST_CONFIG_FILE=$(CURDIR)/debian/swift-test.conf

export PYBUILD_TEST_ARGS=\
	test/unit \
	--exclude-test=test.unit.common.test_utils.TestUtils.test_get_logger_sysloghandler_plumbing
	# --processes=-1

%:
	dh $@ --buildsystem=pybuild --with python3,sphinxdoc

override_dh_auto_build:
	dh_auto_build

	/usr/share/openstack-pkg-tools/pkgos_insert_include pkgos_func python3-swift.postinst

	set -e ; set -x ; \
	for i in $(sort $(wildcard debian/*.init.in)) ; do \
		debian/gen-init $$i ; \
	done

override_dh_auto_install:
	dh_auto_install

	rm debian/tmp/usr/bin/swift-init

override_dh_installinit:
	set -e ; set -x ; \
	for FILE in $(sort $(patsubst debian/%,%,$(wildcard debian/*.init))) ; do \
		PKG=`echo $$FILE | cut -d. -f1` ; \
		NAME=`echo $$FILE | cut -d. -f2` ; \
		dh_installinit --error-handler=true -p$$PKG --name=$$NAME ;\
	done

override_dh_installsystemd:
	set -e ; set -x ; \
	for FILE in $(sort $(patsubst debian/%,%,$(wildcard debian/*.service))) ; do \
		PKG=`echo $$FILE | cut -d. -f1` ; \
		NAME=`echo $$FILE | cut -d. -f2` ; \
		dh_installsystemd -p$$PKG --name=$$NAME ;\
	done

override_dh_systemd_enable:
	echo "Do nothing"

gen-init-configurations:
	echo "Do nothing"

# build with sphinx documentation
override_dh_sphinxdoc:
ifeq (,$(findstring nodocs, $(DEB_BUILD_OPTIONS)))
	LC_ALL=C.UTF-8 PYTHONPATH=. python3 -m sphinx doc/source $(CURDIR)/debian/swift-doc/usr/share/doc/swift-doc/base
	LC_ALL=C.UTF-8 PYTHONPATH=. python3 -m sphinx api-ref/source $(CURDIR)/debian/swift-doc/usr/share/doc/swift-doc/api-ref
	dh_sphinxdoc
endif

override_dh_installdocs:
	dh_installdocs

	dh_installdocs -A AUTHORS

override_dh_missing:
	dh_missing --fail-missing

## swift 2.23.3

=== debian/changelog ===
swift (2.23.3-0ubuntu1~cloud0) bionic-train; urgency=medium

  * New stable point release for OpenStack Train (LP: #1935031).

 -- Chris MacNaughton <chris.macnaughton@ubuntu.com>  Fri, 09 Jul 2021 11:29:00 +0000

swift (2.23.2-0ubuntu1~cloud0) bionic-train; urgency=medium

  [ Chris MacNaughton ]
  * d/control: Update VCS paths for move to lp:~ubuntu-openstack-dev.

  [ Corey Bryant ]
  * New stable point release for OpenStack Train (LP: #1900476).

 -- Corey Bryant <corey.bryant@canonical.com>  Mon, 19 Oct 2020 15:06:53 -0400

swift (2.23.1-0ubuntu0.19.10.1~cloud0) bionic-train; urgency=medium

  * New upstream release for the Ubuntu Cloud Archive.

 -- Openstack Ubuntu Testing Bot <openstack-testing-bot@ubuntu.com>  Fri, 13 Dec 2019 10:32:07 +0000

swift (2.23.1-0ubuntu0.19.10.1) eoan; urgency=medium

  [ Corey Bryant ]
  * d/gbp.conf: Create stable/train branch.

  [ Sahid Orentino Ferdjaoui ]
  * New stable point release for OpenStack Train (LP: #1853311).

 -- Sahid Orentino Ferdjaoui <sahid.ferdjaoui@canonical.com>  Mon, 02 Dec 2019 15:19:23 +0100

=== debian/control ===
Source: swift
Section: net
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Soren Hansen <soren@ubuntu.com>
Uploaders:
 Monty Taylor <mordred@inaugust.com>,
 Greg Holt <gholt@rackspace.com>,
 Jay Payne <letterj@racklabs.com>,
 Michael Barton <michael.barton@rackspace.com>,
 Thomas Goirand <zigo@debian.org>,
 David Della Vecchia <ddv@canonical.com>,
Build-Depends:
 debhelper (>= 10~),
 dh-python,
 openstack-pkg-tools (>= 23~),
 python-setuptools,
 python3-all,
 python3-pbr,
 python3-setuptools,
 python3-sphinx (>= 1.6.2),
Build-Depends-Indep:
 libjerasure2,
 python3-bandit (>= 1.1.0),
 python3-boto (>= 2.32.1),
 python3-boto3 (>= 1.9),
 python3-cffi,
 python3-coverage (>= 3.6),
 python3-cryptography (>= 2.0.2),
 python3-dnspython (>= 1.15.0),
 python3-docutils (>= 0.11),
 python3-eventlet (>= 0.25.0),
 python3-fixtures (>= 3.0.0),
 python3-greenlet (>= 0.4.10),
 python3-hacking (>= 0.11.0),
 python3-keystoneclient (>= 1:2.0.0),
 python3-keystonemiddleware (>= 4.17.0),
 python3-lxml (>= 3.4.1),
 python3-mock (>= 2.0),
 python3-netifaces (>= 0.8),
 python3-nose (>= 1.3.7),
 python3-nosehtmloutput (>= 0.0.3),
 python3-nosexcover (>= 1.0.10),
 python3-openstackclient (>= 3.12.0),
 python3-openstackdocstheme (>= 1.30.0),
 python3-os-api-ref (>= 1.0.0),
 python3-os-testr (>= 0.8.0),
 python3-pastedeploy (>= 1.3.3),
 python3-pyeclib (>= 1.3.1),
 python3-reno (>= 1.8.0),
 python3-requests (>= 2.14.2),
 python3-requests-mock (>= 1.2.0),
 python3-six (>= 1.10.0),
 python3-swiftclient (>= 1:3.2.0),
 python3-testtools,
 python3-xattr (>= 0.4),
Standards-Version: 4.1.4
Homepage: https://launchpad.net/swift
Vcs-Browser: https://git.launchpad.net/~ubuntu-openstack-dev/ubuntu/+source/swift
Vcs-Git: https://git.launchpad.net/~ubuntu-openstack-dev/ubuntu/+source/swift
Testsuite: autopkgtest-pkg-python

Package: python3-swift
Architecture: all
Section: python
Depends:
 adduser,
 libjerasure2,
 python3-cryptography (>= 2.0.2),
 python3-dnspython (>= 1.15.0),
 python3-eventlet (>= 0.25.0),
 python3-greenlet (>= 0.4.10),
 python3-keystonemiddleware (>= 4.17.0),
 python3-lxml (>= 3.4.1),
 python3-netifaces (>= 0.8),
 python3-pastedeploy (>= 1.3.3),
 python3-pyeclib (>= 1.3.1),
 python3-requests (>= 2.14.2),
 python3-six (>= 1.10.0),
 python3-xattr (>= 0.4),
 ${misc:Depends},
 ${python3:Depends},
Provides:
 ${python3:Provides},
Breaks:
 python-swift (<< 2.22.0~b1~git2019071110.e62f07d98-0ubuntu1~),
Replaces:
 python-swift (<< 2.22.0~b1~git2019071110.e62f07d98-0ubuntu1~),
Description: distributed virtual object store - Python 3 libraries
 OpenStack Object Storage (code-named Swift) is open source software for
 creating redundant, scalable object storage using clusters of standardized
 servers to store petabytes of accessible data. It is not a file system or
 real-time data storage system, but rather a long-term storage system for a
 more permanent type of static data that can be retrieved, leveraged, and then
 updated if necessary. Primary examples of data that best fit this type of
 storage model are virtual machine images, photo storage, email storage and
 backup archiving. Having no central "brain" or master point of control
 provides greater scalability, redundancy and permanence.
 .
 Objects are written to multiple hardware devices in the data center, with
 the OpenStack software responsible for ensuring data replication and
 integrity across the cluster. Storage clusters can scale horizontally by
 adding new nodes. Should a node fail, OpenStack works to replicate its
 content from other active nodes. Because OpenStack uses software logic to
 ensure data replication and distribution across different devices,
 inexpensive commodity hard drives and servers can be used in lieu of more
 expensive equipment.
 .
 This package provides the Python 3 libraries that actually implement
 everything.

Package: swift
Architecture: all
Depends:
 python3-swift (=${binary:Version}),
 ${misc:Depends},
 ${python3:Depends},
 ${shlibs:Depends},
Provides:
 ${python3:Provides},
Suggests:
 swift-bench,
Description: distributed virtual object store - common files
 OpenStack Object Storage (code-named Swift) is open source software for
 creating redundant, scalable object storage using clusters of standardized
 servers to store petabytes of accessible data. It is not a file system or
 real-time data storage system, but rather a long-term storage system for a
 more permanent type of static data that can be retrieved, leveraged, and then
 updated if necessary. Primary examples of data that best fit this type of
 storage model are virtual machine images, photo storage, email storage and
 backup archiving. Having no central "brain" or master point of control
 provides greater scalability, redundancy and permanence.
 .
 Objects are written to multiple hardware devices in the data center, with
 the OpenStack software responsible for ensuring data replication and
 integrity across the cluster. Storage clusters can scale horizontally by
 adding new nodes. Should a node fail, OpenStack works to replicate its
 content from other active nodes. Because OpenStack uses software logic to
 ensure data replication and distribution across different devices,
 inexpensive commodity hard drives and servers can be used in lieu of more
 expensive equipment.
 .
 This package provides some core binaries and clients to control swift.

Package: swift-account
Architecture: all
Depends:
 python3-swift (=${binary:Version}),
 rsync,
 ${misc:Depends},
 ${python3:Depends},
 ${shlibs:Depends},
Provides:
 ${python3:Provides},
Breaks:
 swift (<< 1.13.1~rc1-0ubuntu1~),
Replaces:
 swift (<< 1.13.1~rc1-0ubuntu1~),
Description: distributed virtual object store - account server
 OpenStack Object Storage (code-named Swift) is open source software for
 creating redundant, scalable object storage using clusters of standardized
 servers to store petabytes of accessible data. It is not a file system or
 real-time data storage system, but rather a long-term storage system for a
 more permanent type of static data that can be retrieved, leveraged, and then
 updated if necessary. Primary examples of data that best fit this type of
 storage model are virtual machine images, photo storage, email storage and
 backup archiving. Having no central "brain" or master point of control
 provides greater scalability, redundancy and permanence.
 .
 Objects are written to multiple hardware devices in the data center, with
 the OpenStack software responsible for ensuring data replication and
 integrity across the cluster. Storage clusters can scale horizontally by
 adding new nodes. Should a node fail, OpenStack works to replicate its
 content from other active nodes. Because OpenStack uses software logic to
 ensure data replication and distribution across different devices,
 inexpensive commodity hard drives and servers can be used in lieu of more
 expensive equipment.
 .
 This package provides the swift account server.

Package: swift-container
Architecture: all
Depends:
 python3-swift (=${binary:Version}),
 rsync,
 ${misc:Depends},
 ${python3:Depends},
 ${shlibs:Depends},
Provides:
 ${python3:Provides},
Breaks:
 swift (<< 1.13.1~rc1-0ubuntu1~),
Replaces:
 swift (<< 1.13.1~rc1-0ubuntu1~),
Description: distributed virtual object store - container server
 OpenStack Object Storage (code-named Swift) is open source software for
 creating redundant, scalable object storage using clusters of standardized
 servers to store petabytes of accessible data. It is not a file system or
 real-time data storage system, but rather a long-term storage system for a
 more permanent type of static data that can be retrieved, leveraged, and then
 updated if necessary. Primary examples of data that best fit this type of
 storage model are virtual machine images, photo storage, email storage and
 backup archiving. Having no central "brain" or master point of control
 provides greater scalability, redundancy and permanence.
 .
 Objects are written to multiple hardware devices in the data center, with
 the OpenStack software responsible for ensuring data replication and
 integrity across the cluster. Storage clusters can scale horizontally by
 adding new nodes. Should a node fail, OpenStack works to replicate its
 content from other active nodes. Because OpenStack uses software logic to
 ensure data replication and distribution across different devices,
 inexpensive commodity hard drives and servers can be used in lieu of more
 expensive equipment.
 .
 This package provides the swift container server.

Package: swift-doc
Architecture: all
Section: doc
Depends:
 libjs-jquery,
 ${misc:Depends},
Description: distributed virtual object store - documentation
 OpenStack Object Storage (code-named Swift) is open source software for
 creating redundant, scalable object storage using clusters of standardized
 servers to store petabytes of accessible data. It is not a file system or
 real-time data storage system, but rather a long-term storage system for a
 more permanent type of static data that can be retrieved, leveraged, and then
 updated if necessary. Primary examples of data that best fit this type of
 storage model are virtual machine images, photo storage, email storage and
 backup archiving. Having no central "brain" or master point of control
 provides greater scalability, redundancy and permanence.
 .
 Objects are written to multiple hardware devices in the data center, with
 the OpenStack software responsible for ensuring data replication and
 integrity across the cluster. Storage clusters can scale horizontally by
 adding new nodes. Should a node fail, OpenStack works to replicate its
 content from other active nodes. Because OpenStack uses software logic to
 ensure data replication and distribution across different devices,
 inexpensive commodity hard drives and servers can be used in lieu of more
 expensive equipment.
 .
 This package provides the Sphinx generated documentation for Swift.

Package: swift-object
Architecture: all
Depends:
 python3-swift (=${binary:Version}),
 rsync,
 ${misc:Depends},
 ${python3:Depends},
 ${shlibs:Depends},
Provides:
 ${python3:Provides},
Breaks:
 swift (<< 1.13.1~rc1-0ubuntu1~),
Replaces:
 swift (<< 1.13.1~rc1-0ubuntu1~),
Description: distributed virtual object store - object server
 OpenStack Object Storage (code-named Swift) is open source software for
 creating redundant, scalable object storage using clusters of standardized
 servers to store petabytes of accessible data. It is not a file system or
 real-time data storage system, but rather a long-term storage system for a
 more permanent type of static data that can be retrieved, leveraged, and then
 updated if necessary. Primary examples of data that best fit this type of
 storage model are virtual machine images, photo storage, email storage and
 backup archiving. Having no central "brain" or master point of control
 provides greater scalability, redundancy and permanence.
 .
 Objects are written to multiple hardware devices in the data center, with
 the OpenStack software responsible for ensuring data replication and
 integrity across the cluster. Storage clusters can scale horizontally by
 adding new nodes. Should a node fail, OpenStack works to replicate its
 content from other active nodes. Because OpenStack uses software logic to
 ensure data replication and distribution across different devices,
 inexpensive commodity hard drives and servers can be used in lieu of more
 expensive equipment.
 .
 This package provides the swift object server.

Package: swift-object-expirer
Architecture: all
Depends:
 python3-swift (=${binary:Version}),
 ${misc:Depends},
 ${python3:Depends},
 ${shlibs:Depends},
Provides:
 ${python3:Provides},
Breaks:
 swift (<< 1.13.1~rc1-0ubuntu1~),
 swift-object (<< 1.12.0-0ubuntu2),
Replaces:
 swift (<< 1.13.1~rc1-0ubuntu1~),
 swift-object (<< 1.12.0-0ubuntu2),

## swift 2.24.0

=== debian/changelog ===
swift (2.24.0-0ubuntu1) focal; urgency=medium

  * New upstream release for OpenStack Ussuri.

 -- Corey Bryant <corey.bryant@canonical.com>  Thu, 13 Feb 2020 14:01:08 -0500

swift (2.24.0~git2019121715.e890b0f0f-0ubuntu1) focal; urgency=medium

  * New upstream snapshot for OpenStack Ussuri.
  * d/control: Align (Build-)Depends with upstream.
  * d/rules: Switch pybuild.
  * d/rules: Update PBR_VERSION to handle ~git versioning.
  * d/p/skip-test-local-py36.patch: Update to skip for all Py3 versions.

 -- Corey Bryant <corey.bryant@canonical.com>  Tue, 17 Dec 2019 15:16:47 -0500

swift (2.23.1-0ubuntu1) focal; urgency=medium

  * New stable point release for OpenStack Train (LP: #1853311).

 -- Sahid Orentino Ferdjaoui <sahid.ferdjaoui@canonical.com>  Mon, 02 Dec 2019 15:19:23 +0100

=== debian/control ===
--- 
+++ 
@@ -14,7 +14,6 @@
  debhelper (>= 10~),
  dh-python,
  openstack-pkg-tools (>= 23~),
- python-setuptools,
  python3-all,
  python3-pbr,
  python3-setuptools,
@@ -51,13 +50,14 @@
  python3-requests (>= 2.14.2),
  python3-requests-mock (>= 1.2.0),
  python3-six (>= 1.10.0),
+ python3-sphinxcontrib.svg2pdfconverter (>= 0.1.0),
  python3-swiftclient (>= 1:3.2.0),
  python3-testtools,
  python3-xattr (>= 0.4),
 Standards-Version: 4.1.4
 Homepage: https://launchpad.net/swift
-Vcs-Browser: https://git.launchpad.net/~ubuntu-openstack-dev/ubuntu/+source/swift
-Vcs-Git: https://git.launchpad.net/~ubuntu-openstack-dev/ubuntu/+source/swift
+Vcs-Browser: https://git.launchpad.net/~ubuntu-server-dev/ubuntu/+source/swift
+Vcs-Git: https://git.launchpad.net/~ubuntu-server-dev/ubuntu/+source/swift
 Testsuite: autopkgtest-pkg-python
 
 Package: python3-swift

=== debian/rules ===
#!/usr/bin/make -f

# Verbose mode
#export DH_VERBOSE=1

export PYBUILD_NAME=swift

SHELL := /bin/sh -e

DEBVERS ?= $(shell dpkg-parsechangelog | sed -n -e 's/^Version: //p')
VERSION ?= $(shell echo '$(DEBVERS)' | sed -e 's/^[[:digit:]]*://' -e 's/[-].*//' -e 's/[+].*//' -e 's/~git.*//g' -e 's/~/./g')
export PBR_VERSION=$(VERSION)

%:
	dh $@ --with python3,sphinxdoc --buildsystem=pybuild

# clean sphinx build output
override_dh_clean:
	dh_clean
	rm -rf doc/build

# build with sphinx documentation
ifeq (,$(findstring nodocs, $(DEB_BUILD_OPTIONS)))
override_dh_sphinxdoc:
	PYTHONPATH=. sphinx-build -b html doc/source $(CURDIR)/debian/swift-doc/usr/share/doc/swift-doc/html
	dh_sphinxdoc
endif

ifeq (,$(findstring nocheck, $(DEB_BUILD_OPTIONS)))
override_dh_auto_test:
	PYTHONPATH=. nosetests3 test/unit
endif

get-orig-source:
	uscan --verbose --force-download --rename --destdir=../build-area

override_dh_auto_install:
	pkgos-dh_auto_install --no-py2 --in-tmp

override_dh_install:
	dh_install --sourcedir=debian/tmp
	dh_missing --fail-missing
	install -D -m 0640 $(CURDIR)/debian/account-server.conf $(CURDIR)/debian/swift-account/etc/swift/account-server.conf
	install -D -m 0640 $(CURDIR)/debian/container-server.conf $(CURDIR)/debian/swift-container/etc/swift/container-server.conf
	install -D -m 0640 $(CURDIR)/debian/object-server.conf $(CURDIR)/debian/swift-object/etc/swift/object-server.conf
	install -D -m 0640 $(CURDIR)/debian/object-expirer.conf $(CURDIR)/debian/swift-object-expirer/etc/swift/object-expirer.conf

override_dh_installinit:
	dh_installinit --no-start
	dh_installinit --no-start -pswift-container --name=swift-container-replicator
	dh_installinit --no-start -pswift-container --name=swift-container-auditor
	dh_installinit --no-start -pswift-container --name=swift-container-updater
	dh_installinit --no-start -pswift-container --name=swift-container-sync
	dh_installinit --no-start -pswift-account --name=swift-account-replicator
	dh_installinit --no-start -pswift-account --name=swift-account-auditor
	dh_installinit --no-start -pswift-account --name=swift-account-reaper
	dh_installinit --no-start -pswift-object --name=swift-object-replicator
	dh_installinit --no-start -pswift-object --name=swift-object-auditor
	dh_installinit --no-start -pswift-object --name=swift-object-updater
	dh_installinit --no-start -pswift-object --name=swift-object-reconstructor

override_dh_compress:
	dh_compress -Xconf-sample

## swift 2.24.1~git2020041316.a495f1e32

=== debian/changelog ===
swift (2.24.1~git2020041316.a495f1e32-0ubuntu1) focal; urgency=medium

  * d/watch: Update tarball URL to opendev.org.
  * New upstream snapshot for OpenStack Ussuri.

 -- Corey Bryant <corey.bryant@canonical.com>  Mon, 13 Apr 2020 16:25:31 -0400

swift (2.24.1~git2020032711.712bf3c9f-0ubuntu2) focal; urgency=medium

  * d/control, d/rules: Move installation of /etc/swift/ files to
    python3-swift package.

 -- Corey Bryant <corey.bryant@canonical.com>  Mon, 30 Mar 2020 08:26:09 -0400

swift (2.24.1~git2020032711.712bf3c9f-0ubuntu1) focal; urgency=medium

  * New upstream snapshot for OpenStack Ussuri.
  * d/glance-common.postinst: Set default ownership and permissions for
    /etc/<pkg> (LP: #1859422).

 -- Corey Bryant <corey.bryant@canonical.com>  Fri, 27 Mar 2020 11:39:24 -0400

=== debian/control ===
--- 
+++ 
@@ -84,8 +84,16 @@
  ${python3:Provides},
 Breaks:
  python-swift (<< 2.22.0~b1~git2019071110.e62f07d98-0ubuntu1~),
+ swift-account (<< 2.24.1~git2020032711.712bf3c9f-0ubuntu2~),
+ swift-container (<< 2.24.1~git2020032711.712bf3c9f-0ubuntu2~),
+ swift-object-expirer (<< 2.24.1~git2020032711.712bf3c9f-0ubuntu2~),
+ swift-object (<< 2.24.1~git2020032711.712bf3c9f-0ubuntu2~),
 Replaces:
  python-swift (<< 2.22.0~b1~git2019071110.e62f07d98-0ubuntu1~),
+ swift-account (<< 2.24.1~git2020032711.712bf3c9f-0ubuntu2~),
+ swift-container (<< 2.24.1~git2020032711.712bf3c9f-0ubuntu2~),
+ swift-object-expirer (<< 2.24.1~git2020032711.712bf3c9f-0ubuntu2~),
+ swift-object (<< 2.24.1~git2020032711.712bf3c9f-0ubuntu2~),
 Description: distributed virtual object store - Python 3 libraries
  OpenStack Object Storage (code-named Swift) is open source software for
  creating redundant, scalable object storage using clusters of standardized
@@ -273,23 +281,3 @@
  adding new nodes. Should a node fail, OpenStack works to replicate its
  content from other active nodes. Because OpenStack uses software logic to
  ensure data replication and distribution across different devices,
- inexpensive commodity hard drives and servers can be used in lieu of more
- expensive equipment.
- .
- This package provides the swift object server.
-
-Package: swift-object-expirer
-Architecture: all
-Depends:
- python3-swift (=${binary:Version}),
- ${misc:Depends},
- ${python3:Depends},
- ${shlibs:Depends},
-Provides:
- ${python3:Provides},
-Breaks:
- swift (<< 1.13.1~rc1-0ubuntu1~),
- swift-object (<< 1.12.0-0ubuntu2),
-Replaces:
- swift (<< 1.13.1~rc1-0ubuntu1~),
- swift-object (<< 1.12.0-0ubuntu2),

## swift 2.25.2

=== requirements.txt ===
# The order of packages is significant, because pip processes them in the order
# of appearance. Changing the order has an impact on the overall integration
# process, which may cause wedges in the gate later.

dnspython>=1.15.0;python_version=='2.7' # http://www.dnspython.org/LICENSE
eventlet>=0.25.0                        # MIT
greenlet>=0.3.2
netifaces>=0.8,!=0.10.0,!=0.10.1
PasteDeploy>=1.3.3
lxml>=3.4.1
requests>=2.14.2                        # Apache-2.0
six>=1.10.0
xattr>=0.4;sys_platform!='win32'        # MIT
PyECLib>=1.3.1                          # BSD
cryptography>=2.0.2                     # BSD/Apache-2.0
ipaddress>=1.0.16;python_version<'3.3'  # PSF

=== doc/requirements.txt ===
# The order of packages is significant, because pip processes them in the order
# of appearance. Changing the order has an impact on the overall integration
# process, which may cause wedges in the gate later.
# this is required for the docs build jobs
sphinx>=1.6.2,<2.0.0;python_version=='2.7' # BSD
sphinx>=1.6.2;python_version>='3.4' # BSD
openstackdocstheme>=1.30.0 # Apache-2.0
reno>=1.8.0  # Apache-2.0
os-api-ref>=1.0.0 # Apache-2.0
python-keystoneclient!=2.1.0,>=2.0.0 # Apache-2.0
sphinxcontrib-svg2pdfconverter>=0.1.0 # BSD

=== debian/changelog ===
swift (2.25.2-0ubuntu1.1) focal-security; urgency=medium

  * d/p/fix-swob-unit-tests.patch: Fix failing swob unit tests.
  * SECURITY UPDATE: Arbitrary file access
    - debian/patches/CVE-2022-47950.patch: Prevent XXE injections with S3 API.
    - CVE-2022-47950

 -- Corey Bryant <corey.bryant@canonical.com>  Wed, 08 Feb 2023 16:47:24 -0500

swift (2.25.2-0ubuntu1) focal; urgency=medium

  * New stable point release for OpenStack Ussuri (LP: #1943712).

 -- Chris MacNaughton <chris.macnaughton@ubuntu.com>  Fri, 17 Sep 2021 10:05:09 +0000

swift (2.25.1-0ubuntu1) focal; urgency=medium

  [ Chris MacNaughton ]
  * d/control: Update VCS paths for move to lp:~ubuntu-openstack-dev.

  [ Corey Bryant ]
  * New stable point release for OpenStack Ussuri (LP: #1900477).

 -- Corey Bryant <corey.bryant@canonical.com>  Mon, 19 Oct 2020 14:33:46 -0400

swift (2.25.0-0ubuntu0.20.04.1) focal; urgency=medium

  * New upstream release for OpenStack Ussuri (LP: #1877642).
  * d/gbp.conf: Create stable/ussuri branch.

 -- Corey Bryant <corey.bryant@canonical.com>  Thu, 14 May 2020 14:47:36 -0400

=== debian/control ===
--- 
+++ 
@@ -56,8 +56,8 @@
  python3-xattr (>= 0.4),
 Standards-Version: 4.1.4
 Homepage: https://launchpad.net/swift
-Vcs-Browser: https://git.launchpad.net/~ubuntu-server-dev/ubuntu/+source/swift
-Vcs-Git: https://git.launchpad.net/~ubuntu-server-dev/ubuntu/+source/swift
+Vcs-Browser: https://git.launchpad.net/~ubuntu-openstack-dev/ubuntu/+source/swift
+Vcs-Git: https://git.launchpad.net/~ubuntu-openstack-dev/ubuntu/+source/swift
 Testsuite: autopkgtest-pkg-python
 
 Package: python3-swift

=== debian/rules ===
--- 
+++ 
@@ -40,10 +40,10 @@
 override_dh_install:
 	dh_install --sourcedir=debian/tmp
 	dh_missing --fail-missing
-	install -D -m 0640 $(CURDIR)/debian/account-server.conf $(CURDIR)/debian/swift-account/etc/swift/account-server.conf
-	install -D -m 0640 $(CURDIR)/debian/container-server.conf $(CURDIR)/debian/swift-container/etc/swift/container-server.conf
-	install -D -m 0640 $(CURDIR)/debian/object-server.conf $(CURDIR)/debian/swift-object/etc/swift/object-server.conf
-	install -D -m 0640 $(CURDIR)/debian/object-expirer.conf $(CURDIR)/debian/swift-object-expirer/etc/swift/object-expirer.conf
+	install -D -m 0640 $(CURDIR)/debian/account-server.conf $(CURDIR)/debian/python3-swift/etc/swift/account-server.conf
+	install -D -m 0640 $(CURDIR)/debian/container-server.conf $(CURDIR)/debian/python3-swift/etc/swift/container-server.conf
+	install -D -m 0640 $(CURDIR)/debian/object-server.conf $(CURDIR)/debian/python3-swift/etc/swift/object-server.conf
+	install -D -m 0640 $(CURDIR)/debian/object-expirer.conf $(CURDIR)/debian/python3-swift/etc/swift/object-expirer.conf
 
 override_dh_installinit:
 	dh_installinit --no-start
